import { Border } from './Border';
import { BorderStyle } from './BorderStyle';
import { Color } from './Color';
import { FontVariant } from './FontVariant';
import { HorizontalAlignment } from './HorizontalAlignment';
import { HorizontalAlignmentLastLine } from './HorizontalAlignmentLastLine';
import { IParagraphProperties } from './IParagraphProperties';
import { ITextProperties } from './ITextProperties';
import { LineMode } from './LineMode';
import { LineStyle } from './LineStyle';
import { LineType } from './LineType';
import { LineWidth } from './LineWidth';
import { PageBreak } from './PageBreak';
import { Style } from './Style';
import { TabStop } from './TabStop';
import { TabStopType } from './TabStopType';
import { TextLine } from './TextLine';
import { TextTransformation } from './TextTransformation';
import { Typeface } from './Typeface';
import { VerticalAlignment } from './VerticalAlignment';
export declare class ParagraphStyle extends Style implements IParagraphProperties, ITextProperties {
    private paragraphProperties;
    private textProperties;
    constructor(displayName?: string);
    /** @inheritdoc */
    setBackgroundColor(color: Color | undefined): ParagraphStyle;
    /** @inheritdoc */
    getBackgroundColor(): Color | undefined;
    /** @inheritdoc */
    setBorder(width: number, style: BorderStyle, color: Color): ParagraphStyle;
    /** @inheritdoc */
    removeBorder(): ParagraphStyle;
    /** @inheritdoc */
    setBorderBottom(width: number, style: BorderStyle, color: Color): ParagraphStyle;
    /** @inheritdoc */
    getBorderBottom(): Border | undefined;
    /** @inheritdoc */
    removeBorderBottom(): ParagraphStyle;
    /** @inheritdoc */
    setBorderLeft(width: number, style: BorderStyle, color: Color): ParagraphStyle;
    /** @inheritdoc */
    getBorderLeft(): Border | undefined;
    /** @inheritdoc */
    removeBorderLeft(): ParagraphStyle;
    /** @inheritdoc */
    setBorderRight(width: number, style: BorderStyle, color: Color): ParagraphStyle;
    /** @inheritdoc */
    getBorderRight(): Border | undefined;
    /** @inheritdoc */
    removeBorderRight(): ParagraphStyle;
    /** @inheritdoc */
    setBorderTop(width: number, style: BorderStyle, color: Color): ParagraphStyle;
    /** @inheritdoc */
    getBorderTop(): Border | undefined;
    /** @inheritdoc */
    removeBorderTop(): ParagraphStyle;
    /** @inheritdoc */
    setHorizontalAlignment(horizontalAlignment: HorizontalAlignment): ParagraphStyle;
    /** @inheritdoc */
    getHorizontalAlignment(): HorizontalAlignment;
    /** @inheritdoc */
    setHorizontalAlignmentLastLine(horizontalAlignment: HorizontalAlignmentLastLine): ParagraphStyle;
    /** @inheritdoc */
    getHorizontalAlignmentLastLine(): HorizontalAlignmentLastLine;
    /** @inheritdoc */
    setKeepTogether(keepTogether?: boolean): ParagraphStyle;
    /** @inheritdoc */
    getKeepTogether(): boolean;
    /** @inheritdoc */
    setKeepWithNext(keepWithNext?: boolean): ParagraphStyle;
    /** @inheritdoc */
    getKeepWithNext(): boolean;
    /** @inheritdoc */
    setLineHeight(lineHeight: number | string | undefined): ParagraphStyle;
    /** @inheritdoc */
    getLineHeight(): number | string | undefined;
    /** @inheritdoc */
    setLineHeightAtLeast(minimumLineHeight: number | undefined): ParagraphStyle;
    /** @inheritdoc */
    getLineHeightAtLeast(): number | undefined;
    /** @inheritdoc */
    setLineSpacing(lineSpacing: number | undefined): ParagraphStyle;
    /** @inheritdoc */
    getLineSpacing(): number | undefined;
    /** @inheritdoc */
    setMarginBottom(margin: number): ParagraphStyle;
    /** @inheritdoc */
    getMarginBottom(): number;
    /** @inheritdoc */
    setMarginLeft(margin: number): ParagraphStyle;
    /** @inheritdoc */
    getMarginLeft(): number;
    /** @inheritdoc */
    setMarginRight(margin: number): ParagraphStyle;
    /** @inheritdoc */
    getMarginRight(): number;
    /** @inheritdoc */
    setMarginTop(margin: number): ParagraphStyle;
    /** @inheritdoc */
    getMarginTop(): number;
    /** @inheritdoc */
    setMargin(marginLeft: number, marginRight: number, marginTop: number, marginBottom: number): ParagraphStyle;
    /** @inheritdoc */
    setOrphans(orphans: number | undefined): ParagraphStyle;
    /** @inheritdoc */
    getOrphans(): number | undefined;
    /** @inheritdoc */
    setPaddingBottom(padding: number): ParagraphStyle;
    /** @inheritdoc */
    getPaddingBottom(): number;
    /** @inheritdoc */
    setPaddingLeft(padding: number): ParagraphStyle;
    /** @inheritdoc */
    getPaddingLeft(): number;
    /** @inheritdoc */
    setPaddingRight(padding: number): ParagraphStyle;
    /** @inheritdoc */
    getPaddingRight(): number;
    /** @inheritdoc */
    setPaddingTop(padding: number): ParagraphStyle;
    /** @inheritdoc */
    getPaddingTop(): number;
    /** @inheritdoc */
    setPadding(paddingLeft: number, paddingRight: number, paddingTop: number, paddingBottom: number): ParagraphStyle;
    /** @inheritdoc */
    setPageBreak(pageBreak: PageBreak): ParagraphStyle;
    /** @inheritdoc */
    getPageBreak(): PageBreak;
    /** @inheritdoc */
    setTextIndent(textIndent: number): ParagraphStyle;
    /** @inheritdoc */
    getTextIndent(): number;
    /** @inheritdoc */
    setVerticalAlignment(verticalAlignment: VerticalAlignment): ParagraphStyle;
    /** @inheritdoc */
    getVerticalAlignment(): VerticalAlignment;
    /** @inheritdoc */
    setWidows(widows: number | undefined): ParagraphStyle;
    /** @inheritdoc */
    getWidows(): number | undefined;
    /** @inheritdoc */
    addTabStop(position: number, type: TabStopType): TabStop | undefined;
    /** @inheritDoc */
    addTabStop(tabStop: TabStop): TabStop | undefined;
    /** @inheritdoc */
    getTabStops(): TabStop[];
    /** @inheritdoc */
    clearTabStops(): ParagraphStyle;
    /** @inheritDoc */
    setColor(color: Color | undefined): ParagraphStyle;
    /** @inheritDoc */
    getColor(): Color | undefined;
    /** @inheritDoc */
    setFontName(name: string): ParagraphStyle;
    /** @inheritDoc */
    getFontName(): string | undefined;
    /** @inheritDoc */
    setFontSize(size: number): ParagraphStyle;
    /** @inheritDoc */
    getFontSize(): number;
    /** @inheritDoc */
    setTextTransformation(transformation: TextTransformation): ParagraphStyle;
    /** @inheritDoc */
    setFontVariant(fontVariant: FontVariant): ParagraphStyle;
    /** @inheritDoc */
    getFontVariant(): FontVariant;
    /** @inheritDoc */
    getTextTransformation(): TextTransformation;
    /** @inheritDoc */
    setTypeface(typeface: Typeface): ParagraphStyle;
    /** @inheritDoc */
    getTypeface(): Typeface;
    /** @inheritDoc */
    setUnderline(color: 'font-color' | Color, width: LineWidth | number, style: LineStyle, type: LineType, mode: LineMode): this;
    /** @inheritDoc */
    getUnderline(): TextLine | undefined;
    /** @inheritDoc */
    removeUnderline(): this;
}
