"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNonNegativeNumber = void 0;
/**
 * The `isNonNegativeNumber` method returns whether the given value is a non-negative number.
 *
 * ([0-9]+(\.[0-9]*)?|\.[0-9]+)((cm)|(mm)|(in)|(pt)|(pc)|(px))
 *
 * @param {unknown} value The value that is to be checked
 * @returns {boolean} `true` if the given value is a non-negative number, `false` otherwise
 * @private
 */
function isNonNegativeNumber(value) {
    return typeof value === 'number' && value > 0;
}
exports.isNonNegativeNumber = isNonNegativeNumber;
