"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isPercent = void 0;
/**
 * The `isPercent` method returns whether the given value is a percentage.
 *
 * -?([0-9]+(\.[0-9]*)?|\.[0-9]+)%
 *
 * @param {unknown} value The value that is to be checked
 * @returns {boolean} `true` if the given value is a percentage, `false` otherwise
 * @private
 */
function isPercent(value) {
    return (typeof value === 'string' && /^-?([0-9]+(\.[0-9]*)?|\.[0-9]+)%$/.test(value));
}
exports.isPercent = isPercent;
